export class TrackSpecification {
    trackId: string;
    id: number;
    trackType: string;
    beam: number;
    loa: number;
    draught: number;
    grossTonnage: number;
    netTonnage: number;
    fuelWeight: number;
    totalWeight: number;
    overWeightFactor: number;
    maxSpeedOverGround: number;
    angularAcceleration: number;
    acceleration: number;
    weaponsCapacity: number;
    fuelCapacityInGallons: number;
    noiseDueSpeedLinearCoefficient: number;
    noiseDueSpeedQuadraticCoefficient: number;
    sonarDetectionRange: number;
    sonarDetectionAzimuthRange: number;
    radarTransmittedPulsePower: number;
    radarDetectionRange: number;
    radarDetectionAzimuthRange: number;
    radarAntennaTurnSpeed: number;
    directivityDetectionGain: number;
    directivityDetectionAzimuth: number;
    idealCruiseSpeed: number;
    efficienceSpeedFactor: number;
    fuelConsumationPerSeconds: number;
}
